/*
 * Copyright 2019 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

#define SOPT5_LPUART1RXSRC_LPUART_RX 0x00u /*!<@brief LPUART1 receive data source select: LPUART1_RX pin */
#define SOPT5_LPUART1TXSRC_LPUART_TX 0x00u /*!<@brief LPUART1 transmit data source select: LPUART1_TX pin */

/*! @name PORTB18 (coord D9), J7[7]/J12[12]/J13[A34]/J13[B66]/TSI0_CH11/FBa_AD15/SDRAM_A23/FXIO0_D6/FTM2_CH0
  @{ */
#define BOARD_SDRAM_A23_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_SDRAM_A23_PIN 18U    /*!<@brief PORTB pin index: 18 */
                                   /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
